#!/usr/bin/bash
source /etc/os-release

set -euo pipefail

export GO=/usr/bin/go
if [[ $ID = "debian" ]]; then
	export GO=/usr/lib/go-1.19/bin/go
fi

if [[ -d "sftpgo" ]]; then
	git clone https://github.com/drakkan/sftpgo sftpgo-src
fi
cd sftpgo-src
git pull origin HEAD
git checkout $(git tag | tail -n 1)
cp -r openapi ./internal/bundle/openapi
cp -r templates ./internal/bundle/templates
cp -r static ./internal/bundle/static
$GO build -tags nogcs,nos3,noazblob,nobolt,nomysql,nopgsql,nosqlite,noportable,nometrics,bundle -o sftpgo
mv sftpgo /usr/local/bin/
strip /usr/local/bin/sftpgo
